Subject: Re: [PATCH 10/11] avoid kobject name conflict with different namespaces

From: Greg KH <[email-masked]>
Date: Wed, 7 May 2008 12:08:38 -0700

On Wed, May 07, 2008 at 11:49:19AM -0700, Eric W. Biederman wrote:
> Unless there is another path I think placing an additional pointer in
> kobj_type so we can find it through ktype is the simplest solution.
> Although using the kset is also sane.

Ick, ick, ick :)

> The easiest and most trivially correct thing to do would be to simply
> remove the unnecessary check from kobject_rename.  We perform the
> check at the upper levels in the network anyway.  And kobject_rename
> is only used by the network stack.

Wireless uses it also for some things, and it requires that it fail if a
duplicate is found.  I thought that s390 also used it, but I don't see
that usage in the tree anymore, perhaps they switched to something else.

good luck,

greg k-h